Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing.binding
Class BindingInvocationHandler

    java.lang.Object
      org.mule.routing.binding.BindingInvocationHandler

All Implemented Interfaces:
  InvocationHandler

    public class BindingInvocationHandler

extends Object
implements InvocationHandler

Field Summary
`static String` | `DEFAULT_METHOD_NAME_TOKEN`
`protected static Log` | `logger`
`protected MuleContext` | `muleContext`
`protected Map<String,InterfaceBinding>` | `routers`

Constructor Summary
`BindingInvocationHandler(InterfaceBinding router)`

Method Summary
`void` | `addRouterForInterface(InterfaceBinding router)`
`Object` | `invoke(Object proxy, Method method, Object[] args)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_METHOD_NAME_TOKEN

    public static final String DEFAULT_METHOD_NAME_TOKEN

See Also:
  Constant Field Values

### logger

    protected static Log logger

### routers

    protected Map<String,InterfaceBinding> routers

### muleContext

    protected MuleContext muleContext

Constructor Detail

### BindingInvocationHandler

    public BindingInvocationHandler(InterfaceBinding router)

Method Detail

### addRouterForInterface

    public void addRouterForInterface(InterfaceBinding router)

### invoke

    public Object invoke(Object proxy,
                         Method method,
                         Object[] args)
                  throws Throwable

  Specified by:
    `invoke` in interface `InvocationHandler`
  Throws:
    `Throwable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.